[@rxap/forms](../wiki/globals) / controlEnabledWhile

# Function: controlEnabledWhile()

> **controlEnabledWhile**\<`T`\>(`control`, `observable`, `opts`?): `Subscription`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:114](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L114)

## Type Parameters

• **T**

## Parameters

### control

[`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

### observable

`Observable`\<`boolean`\>

### opts?

[`ControlOptions`](../wiki/Interface.ControlOptions)

## Returns

`Subscription`
